Bug 146205 - Incompatible C libraries after upgrading glibc to 2.3.2-95.30
Incompatible C libraries after upgrading glibc to 2.3.2-95.30
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 17:48 EST by Glenn Chu
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 04:05:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn Chu 2005-01-25 17:48:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
I am unable to compile any C code after upgrading to
glibc-2.3.2-95.30.  It appears that the C libraries are incompatible
with the EM64T architecture.

This is reproducable on my Dell 2850 on EM64T.


root@walter:/usr/src/linux-2.4.21# make modules
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o
scripts/split-include scripts/split-include.c
/usr/bin/ld: skipping incompatible
/usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/../../../libc.so when
searching for -lc
/usr/bin/ld: skipping incompatible
/usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/../../../libc.a when
searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.a when searching for -lc
/usr/bin/ld: cannot find -lc
collect2: ld returned 1 exit status
make: *** [scripts/split-include] Error 1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade to latest glibc packages from RHN
2. Attempt to compile something

Actual Results:  /usr/bin/ld: cannot find -lc

Additional info:
Comment 1 Jakub Jelinek 2005-01-26 04:05:45 EST
This means you have glibc-devel-*.i386.rpm installed, but don't have
glibc-devel-*.x86_64.rpm.
Make sure you have also the latter installed and it will work just fine.

Note You need to log in before you can comment on or make changes to this bug.